Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #361 (closed defect: invalid)

Opened 13 years ago

Last modified 12 years ago

creating and using the "raw" device

Reported by: savagewolf Assigned to:
Priority: minor Milestone: version 1.0.0 - first stable release
Component: madwifi: documentation Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

hi, i search in the wiki how put rawdev monitor but i don't find.

It is posible? how? thx.

Change History

02/04/06 04:53:25 changed by anonymous

the last madwifi drive don't make a /proc/sys/dev/ath0, if i put

:/proc# sysctl -w dev.ath.rawdev="1" error: "dev.ath.rawdev" is an unknown key

i am using kernel 2.6.15.2 on debian.

02/04/06 15:15:02 changed by Mister_X

  • priority changed from major to minor.

see ticket #290

02/05/06 07:01:10 changed by kelmo

  • summary changed from aireplay inject to creating and using the "raw" device.
  • version set to trunk.
  • milestone set to version 1.0.0 - first stable release.

This does highlight the fact that the current README contains some stale information:-

Live Monitoring and Writing Raw 802.11 Packets
==============================================
The driver can be used in a live "monitor" mode via the ath0raw
device. To turn on the device you must run the following:

sysctl -w dev.ath0.rawdev=1      # create ath0raw
ifconfig ath0raw up              # start receiving packets on ath0raw

This will create a ath0raw device. You can send packets to the device and 
they will be sent directly to the card, bypassing any state machine.
Finally, you can choose to receive packets on ath0raw in a number of 
different packet formats:

sysctl -w dev.ath0.rawdev_type=0 # normal 802.11 frames (default)
sysctl -w dev.ath0.rawdev_type=1 # prism headers + 802.11
sysctl -w dev.ath0.rawdev_type=2 # radiotap + 802.11

The following wiki page (very) briefly documents the raw interface:-

http://madwifi.org/wiki/UserDocs/MonitorMode#HowdoIgetthecardtousemonitormode

I have not played with the raw interface of the new madwifi-ng driver yet, can someone with some first-hand experience please provide a small comment on how to create/use the raw interface with madwifi-ng (or simply ack that the above wiki information is indeed correct)?

Thanks, Kel.

02/08/06 11:21:29 changed by anonymous

I put this patch but not found, when i create the raw interface the bash throw this error:

sysctl -w dev.ath.rawdev="1" error:

I need raw mode in ng, it is more interesant feature !!

thx :p

02/21/06 07:16:17 changed by mrenzmann

Added a ticket for the task of clearing up the documentation in this regard, see r415.

02/21/06 09:07:12 changed by kelmo

  • status changed from new to closed.
  • resolution set to invalid.

Maybe you mean #415? Closing this ticket since it was never valid from the outset. Please refer to #415 to see how rawdev is handled in madwifi-ng (once we find out for sure ;).

02/21/06 09:14:09 changed by mrenzmann

Oops, yes, indeed, I meant #415.

05/15/07 06:31:28 changed by anonymous

when I typed echo "1" > /proc/sys/dev/ath0/rawdev, I found there aren't rawdev and rawdev_type in target directory.

I also tried :"sysctl -w dev.wifi0.rawdev=1" (I only have wifi0, wifi1 etc.) sysctl: error: 'dev.wifi0.rawdev' is an unknown key Any idea to to assist me add rawdev and rawdev_type to my system. eldk-kernel-2.6.15, madwifi-0.9.2.1, cpu: intel-xsclae-ixp425

Appreciate in advance, Henry